%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name html
%define f_pkg_name html
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.0.1.2
Release: alt2.1
License: BSD
Packager: Alex V. Myltsev <avm@altlinux.ru>
Group: Development/Haskell
Source: %f_pkg_name-%version.tar.gz
Summary: HTML combinator library
BuildRequires(pre): rpm-build-haskell


%description
This package contains a combinator library for constructing
HTML documents.


%prep
%setup -n %h_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
runghc Setup configure --prefix=%_prefix --libdir=%_libdir --docdir=%_docdir/%hsc_namever-%f_pkg_name-%version --libsubdir='$compiler/lib/$pkgid' --disable-library-profiling --ghc
if runghc Setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
runghc Setup build
runghc Setup haddock || :
runghc Setup register --gen-pkg-config=%f_pkg_name.pkg


%install
runghc Setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
install -D -m 644 %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name-%version.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE



%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.1.2-alt2.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.1.2-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.1.2-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.1.2-alt1.1
- rebuild with new haskell

* Fri Nov 14 2008 Alexander Myltsev <avm@altlinux.ru> 1.0.1.2-alt1
- Add category entry to the cabal file.

* Mon Jan 14 2008 Alex V. Myltsev <avm@altlinux.ru> 1.0.1.1-alt2
- Use package.conf.d.

* Wed Jan 09 2008 Alex V. Myltsev <avm@altlinux.ru> 1.0.1.1-alt1
- spec file autogenerated by cabal-rpm
